Subject: Re: bug#23827: 25.1.50; tab-width file-local variable has no effect in etc/HELLO

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Jun 2016 10:12:10 -0400

> LGTM, but I'm not an expert on modes.  I'd like to hear opinions from
> others.  Stefan?

set-buffer-major-mode and the question about when it's supposed to be
run (and when not), and what it's supposed to do (and how that
interacts with default-major-mode) is still pretty nebulous to
me, sorry.

I tend to agree that it "looks right", so we should probably just
install it into master and see what breaks.  My only real worry is
whether that would end up calling fundamental-mode when creating
temporary buffers such as in `with-temp-buffer' (where we wouldn't want
to run-mode-hooks and hack-local-variables).

        Stefan